| Home | Libraries | People | FAQ | More

### waitable_timer_service

Default service implementation for a timer.

    template<
        typename Clock,
        typename WaitTraits = boost::asio::wait_traits<Clock>>
    class waitable_timer_service :
      public io_service::service

##### Types

Name | Description
--- | ---
clock_type | The clock type.
duration | The duration type of the clock.
implementation_type | The implementation type of the waitable timer.
time_point | The time point type of the clock.
traits_type | The wait traits type.

##### Member Functions

Name | Description
--- | ---
async_wait |
cancel | Cancel any asynchronous wait operations associated with the timer.
cancel_one | Cancels one asynchronous wait operation associated with the timer.
construct | Construct a new timer implementation.
destroy | Destroy a timer implementation.
expires_at | Get the expiry time for the timer as an absolute time. Set the expiry time for the timer as an absolute time.
expires_from_now | Get the expiry time for the timer relative to now. Set the expiry time for the timer relative to now.
get_io_service | Get the io_service object that owns the service.
wait |
waitable_timer_service | Construct a new timer service for the specified io_service.

##### Data Members

Name | Description
--- | ---
id | The unique service identifier.

##### Requirements

Header: `boost/asio/waitable_timer_service.hpp`

Convenience header: `boost/asio.hpp`